/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/adhocreview.xml');

  EXCEPTION  
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/adhocreview.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" showSubmit="true" title="Adhoc review" defaultFormHandler="xxas_perf_review_pkg.create_adhoc_review">
  <EditFields>
      <Hidden id="PERSON_ID"/>
      <Hidden id="ASSIGNMENT_ID"/>
      <Hidden id="PERF_PLAN_ENROLLMENT_ID"/>
      <Hidden id="PERF_REVIEW_FORM_ID"/>
      <Poplist id="PERF_REVIEW_TEMPLATE_ID" label="{message.XXAS_PERF_REV_TEMPLATE}" required="true" listProvider="VALUE_SET_NAME:XXAS_PERF_REVIEW_TEMPLATES"/>
      <Date id="START_DATE" label="{message.XXAS_EMP_START_DATE}" required="true"/>
  </EditFields>
</View>
' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/adhocreview.xml');
END;
/
COMMIT;
EXIT;